from flask_wtf import FlaskForm
from flask_wtf.file import FileField, FileAllowed, FileRequired
from wtforms import StringField, PasswordField, BooleanField, SubmitField

class UploadForm(FlaskForm):
    uploadFile = FileField('file', validators=[
        FileRequired(message="You must specify to upload"),
        FileAllowed(['txt', 'gz', 'zip', 'log'], 'Log files only!')
    ])
    submit = SubmitField('Upload')
